﻿CREATE TABLE [dbo].[MakeMyMarket] (
    [Id]                           UNIQUEIDENTIFIER NOT NULL,
    [CustomerId]                   UNIQUEIDENTIFIER NULL,
    [TrendId]                      UNIQUEIDENTIFIER NULL,
    [ProjectId]                    UNIQUEIDENTIFIER NULL,
    [UserId]                       UNIQUEIDENTIFIER NULL,
    [CustomMarketRank]             INT              NULL,
    [CustomMarketName]             NVARCHAR (256)   NULL,
    [SegmentType]                  NVARCHAR (256)   NULL,
    [SegmentId]                    UNIQUEIDENTIFIER NULL,
    [CustomizationVariableType]    NVARCHAR (256)   NULL,
    [CustomizationLevelType]       NVARCHAR (256)   NULL,
    [BroadLevelSegmentId]          UNIQUEIDENTIFIER NULL,
    [BroadLevelSegmentName]        NVARCHAR (256)   NULL,
    [SegmentLevelSegmentId]        UNIQUEIDENTIFIER NULL,
    [SegmentLevelSegmentName]      NVARCHAR (256)   NULL,
    [SegmentLevelSubSegmentName]   NVARCHAR (256)   NULL,
    [ConstantCustomizationLevel]   NVARCHAR (256)   NULL,
    [ChoiceOfChangeOverallMarket]  NVARCHAR (256)   NULL,
    [ChoiceOfChangeBoardSegment]   NVARCHAR (256)   NULL,
    [ConstantOtherBoardLevel]      NVARCHAR (256)   NULL,
    [ChoiceOfChangeBoardLevel]     NVARCHAR (256)   NULL,
    [ConstantCustomizationSegment] NVARCHAR (256)   NULL,
    [ConstantOtherSegmentLevel]    NVARCHAR (256)   NULL,
    [IsMarketSelected]             BIT              CONSTRAINT [DF__MakeMyMar__IsMar__1DC70F96] DEFAULT ('FALSE') NULL,
    [CreatedOn]                    DATETIME2 (7)    NULL,
    [UserCreatedById]              UNIQUEIDENTIFIER NULL,
    [ModifiedOn]                   DATETIME2 (7)    NULL,
    [UserModifiedById]             UNIQUEIDENTIFIER NULL,
    [IsDeleted]                    BIT              NOT NULL,
    [DeletedOn]                    DATETIME2 (7)    NULL,
    [UserDeletedById]              UNIQUEIDENTIFIER NULL,
    [SequenceNum]                  INT              NULL,
    [Description]                  NVARCHAR (256)   NULL,
    CONSTRAINT [PK_MakeMyMarket] PRIMARY KEY CLUSTERED ([Id] ASC)
);



